> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List policy enforcers

> List policy enforcers, optionally filtered by enforced_on target.



## OpenAPI

````yaml /api-specs/cloud/public-api.json get /api/governance/v1/policy-enforcers
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.4.0
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/governance/v1/policy-enforcers:
    get:
      tags:
        - Governance policies
      summary: List policy enforcers
      description: List policy enforcers, optionally filtered by enforced_on target.
      parameters:
        - description: Filter by product type. Only App and Model are supported.
          name: enforced_on
          in: query
          explode: true
          schema:
            items:
              type: string
            type: array
        - description: Pagination offset
          name: offset
          in: query
          schema:
            type: integer
        - description: Pagination limit
          name: limit
          in: query
          schema:
            type: integer
        - description: Sort spec (e.g. created_at desc)
          name: order_by
          in: query
          explode: true
          schema:
            items:
              type: string
            type: array
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/rai-guardrails-service_server.PaginatedPolicyEnforcers
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rai-guardrails-service_server.HTTPError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rai-guardrails-service_server.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rai-guardrails-service_server.HTTPError'
components:
  schemas:
    rai-guardrails-service_server.PaginatedPolicyEnforcers:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: >-
              #/components/schemas/rai-guardrails-service_guardrails.PolicyEnforcer
        meta:
          $ref: '#/components/schemas/rai-guardrails-service_guardrails.Meta'
    rai-guardrails-service_server.HTTPError:
      type: object
      properties:
        code:
          description: >-
            Code is a stable machine-readable error identifier; absent on most
            errors.
          allOf:
            - $ref: '#/components/schemas/rai-guardrails-service_guardrails.ErrorCode'
        message:
          type: string
    rai-guardrails-service_guardrails.PolicyEnforcer:
      type: object
      properties:
        createdAt:
          type: string
        createdBy:
          $ref: '#/components/schemas/rai-guardrails-service_guardrails.User'
        enabled:
          type: boolean
        enforcedOn:
          $ref: >-
            #/components/schemas/rai-guardrails-service_guardrails.PolicyEnforcerTarget
        id:
          type: string
        policyIds:
          items:
            type: string
          type: array
        updatedAt:
          type: string
        updatedBy:
          $ref: '#/components/schemas/rai-guardrails-service_guardrails.User'
    rai-guardrails-service_guardrails.Meta:
      type: object
      properties:
        filters:
          type: array
          items:
            $ref: '#/components/schemas/rai-guardrails-service_guardrails.Filter'
        pagination:
          $ref: '#/components/schemas/rai-guardrails-service_guardrails.Pagination'
        search:
          type: string
        sort:
          type: array
          items:
            $ref: '#/components/schemas/rai-guardrails-service_guardrails.Sorter'
    rai-guardrails-service_guardrails.ErrorCode:
      type: string
      enum:
        - BUNDLE_REQUIRES_POLICY
      x-enum-varnames:
        - CodeBundleRequiresPolicy
    rai-guardrails-service_guardrails.User:
      type: object
      properties:
        firstName:
          type: string
        id:
          type: string
        lastName:
          type: string
        userName:
          type: string
    rai-guardrails-service_guardrails.PolicyEnforcerTarget:
      type: string
      enum:
        - App
        - Model
      x-enum-varnames:
        - PolicyEnforcerTargetApp
        - PolicyEnforcerTargetModel
    rai-guardrails-service_guardrails.Filter:
      type: object
      properties:
        key:
          type: string
        values:
          items:
            type: string
          type: array
    rai-guardrails-service_guardrails.Pagination:
      type: object
      properties:
        limit:
          type: integer
        offset:
          type: integer
        totalCount:
          type: integer
    rai-guardrails-service_guardrails.Sorter:
      type: object
      properties:
        key:
          type: string
        order:
          type: string

````

## Related topics

- [Update a policy enforcer](/api-reference/governance-policies/update-a-policy-enforcer.md)
- [Create a policy enforcer](/api-reference/governance-policies/create-a-policy-enforcer.md)
- [Create a bundle to collect evidence for a governed entity](/api-reference/governance-bundles/create-a-bundle-to-collect-evidence-for-a-governed-entity.md)
- [List bundles](/api-reference/governance-bundles/list-bundles.md)
